%global modname phyghtmap

Name:           python-phyghtmap
Version:        1.74
Release:        1%{?dist}
Summary:        Generate OSM contour lines from NASA SRTM data
Group:          Applications/Engineering
License:        GPLv2+
URL:            http://katze.tfiu.de/projects/phyghtmap/
Source0:        http://katze.tfiu.de/projects/%{modname}/%{modname}_%{version}.orig.tar.gz
BuildArch:      noarch

# Doesn't work with Python 3
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       gdal-python
Requires:       numpy
Requires:       python-BeautifulSoup
Requires:       python-matplotlib

%description
%{modname} is a little program which lets you easily generate OSM contour
lines from NASA SRTM data.


%prep
%setup -q -n %{modname}-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}
install -Dpm 644 docs/%{modname}.1 %{buildroot}%{_mandir}/man1/%{modname}.1


%files
%doc README LICENSE_GPL-2 COPYRIGHT Changelog
%{_bindir}/%{modname}
%{_mandir}/man1/%{modname}.1*
%{python_sitelib}/%{modname}/
%{python_sitelib}/%{modname}-%{version}-py*.egg-info/

%changelog
* Thu Sep  3 2015 Volker Fröhlich <volker27@gmx.at> - 1.74-1
- New upstream release

* Mon Aug 10 2015 Volker Fröhlich <volker27@gmx.at> - 1.73-1
- New upstream release

* Thu Jul 30 2015 Volker Fröhlich <volker27@gmx.at> - 1.72-1
- New upstream release

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.71-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu May 28 2015 Volker Fröhlich <volker27@gmx.at> - 1.71-1
- New upstream release

* Tue May 26 2015 Volker Fröhlich <volker27@gmx.at> - 1.70-1
- New upstream release
- New functionality requires the gdal python bindings

* Mon Feb 23 2015 Volker Fröhlich <volker27@gmx.at> - 1.61-1
- New upstream release

* Sat Jan  3 2015 Volker Fröhlich <volker27@gmx.at> - 1.60-1
- New upstream release

* Mon Sep 29 2014 Volker Fröhlich <volker27@gmx.at> - 1.50-1
- New upstream release

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.49-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 26 2014 Volker Fröhlich <volker27@gmx.at> - 1.49-1
- New upstream release

* Wed Mar 26 2014 Volker Fröhlich <volker27@gmx.at> - 1.48-1
- New upstream release

* Wed Oct  2 2013 Volker Fröhlich <volker27@gmx.at> - 1.47-1
- New upstream release

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.45-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jun  2 2013 Volker Fröhlich <volker27@gmx.at> - 1.45-2
- BR python2-devel instead of python-devel
- BR python-setuptools instead of ...-devel
- Change group to Applications/Engineering

* Sun May 26 2013 Volker Fröhlich <volker27@gmx.at> - 1.45-1
- Initial package for Fedora
